probe::signal.handle
Prev | Chapter 17. Signal Tapset | Next

## Name

probe::signal.handle — Signal handler being invoked

## Synopsis

    signal.handle

## Values

`regs`

  The address of the kernel-mode stack area (deprecated in SystemTap 2.1)

`name`

  Name of the probe point

`sig_code`

  The si_code value of the siginfo signal

`sig_mode`

  Indicates whether the signal was a user-mode or kernel-mode signal

`sig`

  The signal number that invoked the signal handler

`ka_addr`

  The address of the k_sigaction table associated with the signal

`sig_name`

  A string representation of the signal

`oldset_addr`

  The address of the bitmask array of blocked signals (deprecated in SystemTap 2.1)

`sinfo`

  The address of the siginfo table

Prev | Up | Next
probe::signal.force_segv.return | Home | probe::signal.handle.return